package com.njcn.redis.pojo.enums;

import lombok.Getter;

/**
 * @author hongawen
 * @version 1.0.0
 * @createTime 2021年05月11日 17:37
 */
@Getter
public enum RedisKeyEnum {

    /**
     * 角色与资源的对应关系缓存，每次启动用户服务、角色与资源的关系发生变动时，进行清理并重新缓存
     */
    ROLE_FUNCTION_KEY("ROLES_FUNCTIONS",-1L),
    PUBLIC_FUNCTIONS_KEY("PUBLIC_FUNCTIONS",-1L),

    /**
     * 终端信息查询缓存的公共key前缀
     */
    DEVICE_INFO_KEY("DEVICE_INFO_PUBLIC:",-1L);

    private final String key;

    /**
     * redis存储的时间，单位：分钟
     */
    private final Long time;

    RedisKeyEnum(String key, Long time){
        this.key=key;
        this.time=time;
    }

}
